
Name: hal-cups-utils
Version: 0.6.16
Release: alt0.M41.1

Group: System/Configuration/Printing
Summary: A CUPS backend for HAL
License: GPLv2+
Url: http://svn.fedorahosted.org/svn/hal-cups-utils/tags/

#Requires: hplip-model-data
Requires: hplip hplip-PPDs usbutils

Source: %name-%version.tar.bz2

Patch1: hal-cups-utils-0.6.16-svn.patch
Patch2: hal-cups-utils-0.6.16-nocupsinclude.patch
Patch3: hal-cups-utils-0.6.16-fixlibdir.patch
Patch100: hal-cups-utils-0.6.16-alt-bin-env-python.patch

BuildRequires: libcups-devel libhal-devel python-devel libdbus-glib-devel

%description
This package contains utilities for linking CUPS to HAL. This includes:

* backend/hal - the CUPS backend for browsing local printers using HAL
* systemv/hal_lpadmin - a utility based on lpadmin for adding, configuring and
  removing printers using hal UDI's
* requires system-config-printer-libs and a running cups server

%prep
%setup -q
%patch1 -p1 -b .svn
%patch2 -p1 -b .nocupsinclude
%patch3 -p1 -b .fixlibdir
%patch100 -p1 -b .bin-env-python
#./autogen.sh
autoreconf -fisv

%build
%configure --libexecdir=%_bindir
%make CFLAGS="%optflags"

%install
mkdir -p %buildroot/%python_sitelibdir
mkdir -p %buildroot/%_bindir

%make install DESTDIR=%buildroot

%find_lang %name

%files -f %name.lang
%doc INSTALL README NEWS ChangeLog
%_bindir/hal_lpadmin
%_libdir/cups/backend/hal
%_datadir/hal/fdi/policy/10osvendor/10-hal_lpadmin.fdi

%changelog
* Fri Nov 21 2008 Sergey V Turchin <zerg at altlinux dot org> 0.6.16-alt0.M41.1
- built for M41

* Thu Nov 20 2008 Sergey V Turchin <zerg at altlinux dot org> 0.6.16-alt1
- initial specfile
